Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class IVarTool.View

    java.lang.Object
      ix.ip2.BindingViewer
          ix.ip2.IVarTool.View

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  IVarTool

     class IVarTool.View

extends BindingViewer

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.BindingViewer
`BindingViewer.ButtonPanel, BindingViewer.ValComboBox, BindingViewer.Value, BindingViewer.VarPanel`

Field Summary

Fields inherited from class ix.ip2.BindingViewer
`contentPane, frame, ip2, possibleValues, varPanel, vars`

Constructor Summary
`IVarTool.View()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `handleBindings(java.util.Map newBindings)`
`protected BindingViewer.ButtonPanel` | `makeButtonPanel()`
`(package private) javax.swing.JMenuBar` | `makeMenuBar()`
`(package private) void` | `noteCurrentOption(IPlanOptionManager.Opt opt)`
`(package private) void` | `reloadView()`
`(package private) void` | `reset()`
`(package private) void` | `setBorderTitle(java.lang.String title)`
`protected void` | `setUpFrame()`
`void` | `setVisible(java.lang.Boolean v)`

Methods inherited from class ix.ip2.BindingViewer
`bindCommand, closeCommand, getPossibleValues, getVars, reloadView, resetPossibleValues, resetPossibleValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IVarTool.View

    IVarTool.View()

Method Detail

### setUpFrame

    protected void setUpFrame()

  Overrides:
    `setUpFrame` in class `BindingViewer`

### makeMenuBar

    javax.swing.JMenuBar makeMenuBar()

### makeButtonPanel

    protected BindingViewer.ButtonPanel makeButtonPanel()

  Overrides:
    `makeButtonPanel` in class `BindingViewer`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `BindingViewer`

### setVisible

    public void setVisible(java.lang.Boolean v)

### reset

    void reset()

### noteCurrentOption

    void noteCurrentOption(IPlanOptionManager.Opt opt)

### reloadView

    void reloadView()

### handleBindings

    public void handleBindings(java.util.Map newBindings)

  Specified by:
    `handleBindings` in class `BindingViewer`

### setBorderTitle

    void setBorderTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD